<script setup lang="ts">
import Error from '~/components/pub/my-ui/error/error.vue'
import Content from '~/components/content/sep/list.vue'

definePageMeta({
  middleware: ['rbac'],
  roles: ['doctor', 'nurse', 'admisi', 'pharmacy', 'billing', 'management'],
  title: 'Daftar SEP',
  contentFrame: 'cf-full-width',
})

const route = useRoute()

useHead({
  title: () => route.meta.title as string,
})

const canRead = true
</script>

<template>
  <div>
    <div v-if="canRead">
      <Content />
    </div>
    <Error v-else :status-code="403" />
  </div>
</template>
